GDB (xrefs)

Public Attributes | List of all members
tdesc_arch_data Struct Reference

## Public Attributes
std::vector< tdesc_arch_reg > | arch_regs
gdbarch_register_name_ftype * | pseudo_register_name = NULL
gdbarch_register_type_ftype * | pseudo_register_type = NULL
gdbarch_register_reggroup_p_ftype * | pseudo_register_reggroup_p = NULL

## Detailed Description

Definition at line 670 of file target-descriptions.c.

## Member Data Documentation

## ◆ arch_regs

std::vector<tdesc_arch_reg> tdesc_arch_data::arch_regs

Definition at line 678 of file target-descriptions.c.

Referenced by target_find_description(), tdesc_find_arch_register(), tdesc_find_type(), tdesc_numbered_register(), and tdesc_use_registers().

## ◆ pseudo_register_name

gdbarch_register_name_ftype* tdesc_arch_data::pseudo_register_name = NULL

Definition at line 682 of file target-descriptions.c.

Referenced by set_tdesc_pseudo_register_name(), and tdesc_register_name().

## ◆ pseudo_register_reggroup_p

gdbarch_register_reggroup_p_ftype* tdesc_arch_data::pseudo_register_reggroup_p = NULL

Definition at line 684 of file target-descriptions.c.

Referenced by set_tdesc_pseudo_register_reggroup_p(), and tdesc_register_reggroup_p().

## ◆ pseudo_register_type

gdbarch_register_type_ftype* tdesc_arch_data::pseudo_register_type = NULL

Definition at line 683 of file target-descriptions.c.

Referenced by set_tdesc_pseudo_register_type(), and tdesc_register_type().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/target-descriptions.c